Fundriver is committed to providing a secure environment for your data. Transport Layer Security (TLS) is a cryptographic protocol that allows for secure, encrypted communications over the internet. TLS versions 1.0 and 1.1 are considered less secure versions of this protocol. To improve security, we will be disabling TLS versions 1.0 and 1.1 sometime after the first of the year. An exact date will be announced towards the end of this year.

Most modern browsers accommodate newer, more secure versions and in most cases, this will require no change on your part. Some older browsers may require you to enable TLS version 1.2 and disable the earlier versions or they may not be compatible at all.

You can go to this link to see what browsers are compatible with TLS 1.2.

To test your browser for compatibility you can go here and click on “Test Your Browser."

If your browser is compatible you will see this message:

1.png


If you have additional questions we would recommend that you consult with your IT department to verify that your browser is compatible or what steps might be required to become compatible with TLS 1.2.